package ru.yandex.webmaster3.coordinator.http;

import ru.yandex.webmaster3.core.http.ActionRequest;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;

/**
 * @author aherman
 */
public interface BaseCoordinatorRequest extends ActionRequest{
    @RequestQueryProperty(required = true)
    public void setApplicationName(String applicationName);
    public String getApplicationName();

    @RequestQueryProperty(required = true)
    public void setApplicationVersion(String applicationVersion);
    public String getApplicationVersion();

    @RequestQueryProperty
    public void setRequestId(String requestId);
    public String getRequestId();
}
